﻿Type=StaticCode
Version=5.5
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Len(Text As String) As Int
	Return Text.Length 
End Sub
Sub Left(Text As String, Length As Long)As String 
	If Text.Length>0 And Length>0 Then Return Text.SubString2(0, Min(Text.Length,Length))
End Sub
Sub Right(Text As String, Length As Long) As String
	If Text.Length>0 And Length>0 Then Return Text.SubString(Text.Length-Min(Text.Length,Length))
End Sub
Sub Mid(Text As String, Start As Int, Length As Int) As String 
	If Length>0 And Start>-1 And Start< Text.Length Then Return Text.SubString2(Start,Start+Length)
End Sub
'returns -1 if not found
Sub Instr(Text As String, TextToFind As String, Start As Int) As Int
	Return Text.IndexOf2(TextToFind,Start)
End Sub
Sub InstrRev(Text As String, TextToFind As String) As Int
	Return Text.LastIndexOf(TextToFind)
End Sub
Sub Instr2(Text As String, Start As Int, TextsToFind As List) As Int 
	Dim Temp As Int, temp2 As Int, temp3 As Int
	temp2=Text.Length 
	For Temp = 0 To TextsToFind.Size -1
		temp3 = Instr(Text, TextsToFind.Get(Temp), Start)
		If temp3<temp2 And temp3>-1 Then temp2=temp3
	Next
	Return temp2
End Sub
Sub RemoveAllExceptNumbers(Text As String) As String
	Return RemoveAllNumbers(Text, True)
End Sub
Sub RemoveAllNumbers(Text As String, IsANumber As Boolean) As String
	Dim tempstr As StringBuilder ,Temp As Int ,Chars As String
	tempstr.Initialize 
	For Temp = 0 To Text.Length-1 
		Chars=Mid(Text,Temp,1)
		If IsANumber = IsNumber(Chars) Then tempstr.Append(Chars)
	Next
	Return tempstr.ToString 
End Sub
Sub CountInstances2(Text As String, Substring As String) As Int
	Dim Start As Int, Count As Int 
	Do Until Start=-1
		Start=Instr(Text, Substring, Start)+1
		If Start >-1 Then Count = Count+ 1	
	Loop
	Return Count
End Sub

Sub RemoveChars(Text As String, Chars As String) As String
	Dim temp As Int 
	For temp = 0 To Chars.Length - 1 
		Text = Text.Replace(Mid(Chars,temp,1), "")
	Next
	Return temp
End Sub